import { stemTypeList, questionNumberTypeList, scoreTypeList, switchOption, fontSizeList } from './common';

/**
 * 解析智能识别数据
 * @param {array} arr 智能识别数据
 * @returns object
 */
export function analysisRecognitionListenFillData(arr) {
  const article = arr.map((text) => `<p>${text}</p>`).join('');
  return { 'data.article': article };
}

// 听后填空题数据模板
export const listenFillData = {
  type: 'listen_fill', // 题型
  stem: '', // 题干
  file_id_list: [], // 文件 id 列表
  word_select_fill: '', // 选词
  description: '', // 描述
  analysis: '', // 解析，富文本
  article: '', // 文章
  model_essay: [], // 文章解析后的数据
  reference_answer: '', // 参考答案
  answer: { score: 1, score_type: scoreTypeList[0].value, answer_list: [] }, // 答案
  // 题型属性
  property: {
    stem_type: stemTypeList[1].value, // 题干类型
    question_number: '1', // 题号
    stem_question_number_font_size: fontSizeList[6], // 题干题号
    is_enable_listening: switchOption[0].value, // 是否听力
    is_enable_word_select_fill: switchOption[0].value, // 选词填空
    is_enable_description: switchOption[1].value, // 描述
    is_enable_analysis: switchOption[1].value, // 是否开启解析
    score: 1, // 分值
    score_type: scoreTypeList[0].value, // 分值类型
  },
  // 其他属性
  other: {
    question_number_type: questionNumberTypeList[1].value, // 题号类型
  },
};
